##### wv׋23@4@Á@R code #####

install.packages("ISR")	# ISwRpbP[W̃CXg[Bŏ̈̂ݎs
library(ISwR)

# Uz} #
thuesen <- na.omit(thuesen)	# l #
attach(thuesen)

plot(blood.glucose, short.velocity)
plot(thuesen)			# Ɠ

# ʓIf[^̗viϗʁj #
cov(blood.glucose, short.velocity)		# U
cov(thuesen)				# UUs
cor(blood.glucose, short.velocity)		# ֌W
cor(thuesen)				# ֍s

# PA #
fit <- lm(short.velocity ~ blood.glucose, data=thuesen)
summary(fit)		# A͂̌ʕ\
plot(thuesen)		# Uz}
abline(fit)			# 肳ꂽA̕`
confint(fit)		# Ap^[̐M

# Aff #
par(mfrow=c(2,2))
plot(fit)
par(mfrow=c(1,1))

# dA (CPUf[^) #
library(MASS)
head(cpus, n=2)
dim(cpus)			# cpus̍sƗ̐mF
?cpus				# cpus̃ICwvN

cpus2 <- cpus[, c(8, 2:7)]
head(cpus2, n=2)

pairs(cpus2)		# cpus2̎Uz}s

cpus2.lm <- lm(perf ~ syct + mmin + mmax + cach + chmin + chmax, data=cpus2)				# Af̓Ă͂
cpus2.lm <- lm(perf ~ ., data=cpus2)	# Ɠ

summary(cpus2.lm)	# A͂̌ʕ\
confint(cpus2.lm)	# Ap^[̐M

# Aff #
par(mfrow=c(2,2))	# OtBbNXEBhE2s24̗̈ɕ
plot(cpus2.lm)
par(mfrow=c(1,1))	# OtBbNXEBhEɖ߂

# Box-Coxϊ #
library(MASS)
bxcx <- boxcox(perf ~ ., data=cpus2, lambda=seq(0, 0.5, .01))
lambda <- bxcx$x[which.max(bxcx$y)]
lambda

perf.new <- (cpus2$perf^lambda -1)/lambda
cpus3 <- cpus2[, -1]
cpus3 <- cbind.data.frame(perf.new, cpus3)

cpus2.bxcx.lm <- lm(perf.new ~ ., data=cpus3)
summary(cpus2.bxcx.lm)	# A͂̌ʕ\
confint(cpus2.bxcx.lm)	# Ap^[̐M

# Aff #
par(mfrow=c(2,2))	# OtBbNXEBhE2s24̗̈ɕ
plot(cpus2.bxcx.lm)
par(mfrow=c(1,1))	# OtBbNXEBhEɖ߂



### variable selection ###
library(MASS)
#install.packages("Devore7"
library(Devore7)

xmp13.11.lm <- lm(Strength ~ Force + Power + Temperature + Time, data=na.omit(xmp13.11))	# full model #

xmp13.11.aic <- stepAIC(xmp13.11.lm)	# backward elimination: default #

xmp13.11.lo <- lm(Strength ~ 1, data=xmp13.11)		# the minimal model. the model only with intercept #
xmp13.11.aic2 <- stepAIC(xmp13.11.lo, direction="forward", scope=list(lower=xmp13.11.lo, upper=xmp13.11.lm)) 
# forward selection #

xmp13.11.aic2 <- stepAIC(xmp13.11.lo, direction="both", scope=list(lower=xmp13.11.lo, upper=xmp13.11.lm)) 
# stepwise selection begining with minimal model #
xmp13.11.aic2 <- stepAIC(xmp13.11.lm, direction="both", scope=list(lower=xmp13.11.lo, upper=xmp13.11.lm)) 
# stepwise selection begining with full model #


### BIC ###
xmp13.11.bic <- stepAIC(xmp13.11.lm, k=log(nrow(xmp13.11))) 	# Bayesian Information Criterion #
